local mHud = LibStub("AceAddon-3.0"):GetAddon("mHud")
local skin = mHud.skin:NewModule("Str8")

-- Your textures and/or fonts etc. Check out sharedmedia for more info
mHud.skin.media:Register("statusbar", "Str8 Health",	[[Interface\Addons\mHud_str8\str8_hp]])
mHud.skin.media:Register("statusbar", "Str8 Mana",		[[Interface\Addons\mHud_str8\str8_mana]])
mHud.skin.media:Register("statusbar", "Str8 Threat",	[[Interface\Addons\mHud_str8\str8_threat]])
mHud.skin.media:Register("statusbar", "Str8 Combo",		[[Interface\Addons\mHud_str8\str8_combo]])


-- Mandatory
skin.description = {
	Default = "A simple skin with straight edges runing outwards.",
}

-- Mandatory
skin.defaults = {
	bar = {
		['*'] = {
		
			-- These options will be used when users create new bars and
			-- is the fallback when the profile dosn't contain any data for that entry
			type = "Health",
			unit = "player",
			
			offsetX = 0,
			offsetY = 0,
			
			width = 64,
			height = 128,
			
			texture = "Blizzard", -- Enter the texture name you want to be the default
			
			anchor = {
				to = "UIParent",
				point = "CENTER",
				relative = "CENTER",
			},
			
			-- For more options look at the other skins or modules, this may depend on the
			-- modules the end user has active.
			
		}
	}
}

-- Mandatory
skin.profiles = {

	Default = { -- Settings for the default theme, this is usualy just a copy of your profile settings, with modifications.
		[1] = {
			active = true, -- Mandatory
			type = "Health",
			unit = "player",
			
			offsetX = -100,
			offsetY = 0,
			
			texture = "Str8 Health",
			
			text = {
				[1] = {
					tag = "[CurHP]",
					
					size = 10,
					
					offsetX = 40,
					offsetY = 0,
					
					anchor = {
						to = 1,
						point = "BOTTOMRIGHT",
						relative = "BOTTOMLEFT",
					},
				},
			},
			
		},
		[2] = {
			active = true,
			type = "Power",
			unit = "player",
			
			texture = "Str8 Mana",
			
			anchor = {
				to = 1,
				point = "CENTER",
				relative = "CENTER",
			},
			
			text = {
				[1] = {
					tag = "[CurMP:Short]",
					
					size = 10,
					
					offsetX = -10,
					offsetY = 0,
					
					anchor = {
						to = 1,
						point = "LEFT",
						relative = "RIGHT",
					},
				},
			},
			
		},
		[3] = {
			active = true,
			type = "Health",
			unit = "target",
			
			offsetX = 200,
			offsetY = 0,
			
			texture = "Str8 Health",
			textureMirror = true,
			
			anchor = {
				to = 1,
				point = "CENTER",
				relative = "CENTER",
			},
			
			text = {
				[1] = {
					tag = "[CurHP:Short]",
					
					size = 10,
					
					offsetX = -40,
					offsetY = 0,
					
					anchor = {
						to = 3,
						point = "BOTTOMLEFT",
						relative = "BOTTOMRIGHT",
					},
				},
			},
			
		},
		[4] = {
			active = true,
			type = "Power",
			unit = "target",
			
			texture = "Str8 Mana",
			textureMirror = true,
			
			anchor = {
				to = 3,
				point = "CENTER",
				relative = "CENTER",
			},
			
			text = {
				[1] = {
					tag = "[CurMP:Short:HideZero]",
					
					size = 10,
					
					offsetX = 10,
					offsetY = 0,
					
					anchor = {
						to = 3,
						point = "RIGHT",
						relative = "LEFT",
					},
				},
			},
			
		},
		[5] = {
			active = true,
			type = "ComboPoint",
			unit = "player",
			
			offsetX = -12,
			
			width = 32,
			height = 64,
			
			texture = "Str8 Combo",
			
			anchor = {
				to = 1,
				point = "TOPRIGHT",
				relative = "TOPRIGHT",
			},
			
		},
		[6] = {
			active = true,
			type = "Threat-SingleTarget",
			unit = "target",
			
			texture = "Str8 Threat",
			
			gradientColor = "Threat",
			gradientAlpha = "Hidden",
			
			gradientColorCombat = "Threat",
			gradientAlphaCombat = "Bright",
			
			anchor = {
				to = 1,
				point = "CENTER",
				relative = "CENTER",
			},
			
		},
		[7] = {
			active = true,
			type = "DruidMana",
			unit = "player",
			
			width = 32,
			height = 64,
			
			offsetX = 5,
			
			texture = "Str8 Health",
			
			anchor = {
				to = 1,
				point = "BOTTOMRIGHT",
				relative = "BOTTOMRIGHT",
			},
			
			text = {
				[1] = {
					tag = "[CurDruidMP:HideZero]",
					
					size = 10,
					
					offsetX = 27,
					offsetY = 0,
					
					anchor = {
						to = 1,
						point = "BOTTOMRIGHT",
						relative = "BOTTOMRIGHT",
					},
				},
			},
			
		},
	},

}